package com.wms_main.service.controller;

import com.wms_main.model.po.TAppOuts;
import com.wms_main.model.po.TAppPickTask;
import com.wms_main.model.po.TAppTask;

import java.util.List;

public interface IDataControllerService {

    /**
     * 获取任务类型为1的任务数据
     * @return 任务类型为1的任务列表
     */
    List<TAppTask> getTaskTypInData(int pageNum, int pageSize, int standId);

    /**
     * 出库
     * 获取outs表的数据
     * @return 出库任务数据
     */
    List<TAppOuts> getOutsData(int pageNum, int pageSize);


    /**
     * 获取拣选任务信息
     * @return 拣选任务信息
     */
    List<TAppPickTask> getPickTaskDataP1(int pageNum, int pageSize);


    /**
     * 获取拣选任务信息
     * @return 拣选任务信息
     */
    List<TAppPickTask> getPickTaskDataP2(int pageNum, int pageSize);

    /**
     * 获取拣选任务信息
     * @return 拣选任务信息
     */
    List<TAppPickTask> getPickTaskDataP3(int pageNum, int pageSize);
}
